unit aeBBS;

interface
uses
     Objects,

     PlugAPI,
     PlugSIDE,

     aeCmn;

type
 PAreasBbsExporter = ^TAreasBbsExporter;
 TAreasBbsExporter = object(TExporter)
  procedure PerformArea(const Area: Pointer; const Format: TAreaFormat); virtual;
  function Name: String; virtual;
 end;

implementation
uses
     mbAPI;

{ TAreasBbsExporter }

procedure TAreasBbsExporter.PerformArea(const Area: Pointer; const Format: TAreaFormat);
 var
  S: String;
  mbi: PMessageBaseInterface;
 begin
  mbi:=jt.area.mbi(Area);

  case mbi^.AreaType of
   atJam: S:='!';
   atSquish: S:='$';
   atMSG: S:='';
   atPassthrough: S:='P ';
  else
   Exit;
  end;

  WriteLn(Link, S, Format.Path + ' ' + GetAreaName(Area));
 end;

function TAreasBbsExporter.Name: String;
 begin
  Name:='AreasBbs';
 end;

end.