unit frInfo;

interface
uses
     PlugAPI,
     PlugSIDE,
     PlugUTIL,

     jtMHLcmn,

     frCmn,
     frQueue,

     Wizard;

procedure Info;

implementation

{ Info }

procedure Info;
 procedure Perform(const Item: PForwardRequestQueueItem); far;
  procedure PerformSubscriber(const Subscriber: Pointer); far;
   begin
    jt.LogWrite('F', '   ' + AddressOfLink(Subscriber));
   end;
  var
   Desc, Date: String;
   Year, Month, Day: Word;
  begin
   if Item^.Desc = nil then
    Desc:=''
   else
    Desc:=', "' + Item^.Desc^ + '"';

   JulianToGregorian(Item^.RequestedAt, Year, Month, Day);

   jt.LogWrite('F', Item^.Name^ + Desc + ', by ' + AddressOfLink(Item^.RequestedBy) +
                                         ', from ' + AddressOfLink(Item^.RequestedFrom) +
                                         ', at ' + Long2Str(Day) + ' ' +
                                                   MonthNumberToMonthString(Month) + ' ' +
                                                   Long2Str(Year));

   Item^.ForEach(@PerformSubscriber);
  end;
 begin
  if fwdreqQueue^.Count = 0 then
   begin
    jt.LogWrite('F', 'There is no forward request area pendings.');

    Exit;
   end;

  jt.LogWrite('F', 'Here follows current forward request area pendings:');

  fwdreqQueue^.ForEach(@Perform);
 end;

end.