library os2hndl;

uses
     OS2Def,
     OS2Base,

     PlugAPI,
     PlugSIDE,

     Wizard;

{ PluginSetup }

function PluginSetup(const JTAPI: Pointer; const PlugInfo: PPluginInformation; const Plugin: Pointer): Boolean; export;
 begin
  SetupAPI(JTAPI);

  SetupPlugInfo(PlugInfo, 'OS/2 Handles', 1);

  PluginSetup:=True;
 end;

{ PluginHandleConfigSwitch }

procedure PluginHandleConfigSwitch(const Keyword: String; Value: String; const Linker: Pointer); export;
 var
  rc: ApiRet;
 begin
  if Keyword = 'HANDLES' then
   begin
    rc:=DosSetMaxFH(jt.linker.ParseNumber(Linker, Value));

    if rc <> No_Error then
     jt.linker.Error(Linker, 'failed to DosSetMaxFH, rc=' + Long2Str(rc));
   end
  else
   jt.linker.Error(Linker, 'syntax error');
 end;

exports
 PluginSetup,
 PluginHandleConfigSwitch;

begin
end.
