unit PrioAPI;

interface
uses
     PlugAPI,
     PlugSIDE;

const
 PriorityRegisterAction                         = $1000;
 PriorityPerformAction                          = $1001;

{
  RegisterPriorityAction  뢠   PluginSetup, 
  Priority  ॣ  action
}

procedure RegisterPriorityAction(const Name: String);

{
 뢠 PerformPriorityAction,   襬  稭 ࠡ
 action', ॣ஢ ࠭   RegisterPriorityAction
}

procedure PerformPriorityAction(const Name: String);

implementation

{ RegisterPriorityAction }

procedure RegisterPriorityAction(const Name: String);
 begin
  jt.EnqueueCommandEx('Priority', PriorityRegisterAction, Longint(@Name), cwBeforePlugins);
 end;

{ PerformPriorityAction }

procedure PerformPriorityAction(const Name: String);
 var
  Plugin: Pointer;
  PluginHandleCommand: TPluginHandleCommand;
 begin
  Plugin:=jt.plugs.Seek('Priority');

  if Plugin <> nil then
   begin
    jt.plugs.GetPluginHandleCommand(Plugin, PluginHandleCommand);

    if @PluginHandleCommand <> nil then
     PluginHandleCommand(PriorityPerformAction, Longint(@Name));
   end;
 end;

end.
