library ConsCtrl;

uses
     Windows,

     PlugAPI,
     PlugSIDE,

     Wizard;

function CtrlHandler(CtrlType: Longint): bool; stdcall;
 var
  S: String;
 begin
  case CtrlType of
   CTRL_C_EVENT: S:='Ctrl-C';
   CTRL_BREAK_EVENT: S:='Ctrl-Break';
   CTRL_CLOSE_EVENT: S:='Close';
   CTRL_LOGOFF_EVENT: S:='LogOff';
   CTRL_SHUTDOWN_EVENT: S:='Shutdown';
  else
   S:='CtrlType=' + Long2Str(CtrlType);
  end;

  jt.SetError('Shutdown forced by ' + S);

  CtrlHandler:=True;
 end;

{ PluginSetup }

function PluginSetup(const JTAPI: Pointer; const PlugInfo: PPluginInformation; const Plugin: Pointer): Boolean; export;
 begin
  SetupAPI(JTAPI);

  SetupPlugInfo(PlugInfo, 'ConsoleCtrlHandler', 1);

  PluginSetup:=True;

  SetConsoleCtrlHandler(@CtrlHandler, True);
 end;

{ PluginShutdown }

procedure PluginShutdown; export;
 begin
  SetConsoleCtrlHandler(@CtrlHandler, False);
 end;

exports
 PluginSetup,
 PluginShutdown;

begin
end.
