unit PlugAPI;

{
 autocreated by JustTosser API generator v1.0.

 (q) by colombo // [sk], 2001.

 // created at 23 Aug 03:19:38
 // total sections: 33
 // total entries: 436
 // max entries per section: 53 (JTAPI)
 // fertilizers per section: 64
}

interface
uses
     Objects,

     Wizard,

     jtMHLcmn,

     Thunks,

     PlugSIDE;

const
 APIVersion = 1;

type
 TJTAPIcore = packed record
  case Byte of
   1: (
  GetMainAddress: procedure(var A: TAddress);
  GetMainSysop: procedure(var S: String);
  IsOurAddress: function(var AAddress: TAddress): Boolean;
  GetOrigin: function: String;
  GetVersion: function: String;
  GetBuild: function: Longint;
  GetTitle: function: String;
  GetFullTitle: function: String;
  GetCopyright: function: String;
  GetTID: function: String;
  GetPID: function: String;
  GetTearline: function: String;
  GetTempAttaches: function: String;
  DestroyKernelObject: procedure(const AObject: Pointer);
  UTC: function: Longint;
  GetInbound: function(const Index: Longint): PString;
  GetBadInbound: function: PString;
  GetTempInbound: function: PString;
  GetBaseInbound: function: PString;
  GetLocalInbound: function: PString;
  ScreenHook: procedure(const Plugin: Pointer; const Add: Boolean);
  AtFormat: function(const Index: Longint; var id: Longint; var FullName, ShortName:
            String): Boolean;
  SeekFormat: function(const id: Longint; var Index: Longint): Boolean;
  mbi: function(const id: Longint): Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIlinkerv = packed record
  case Byte of
   1: (
  Create: function: Pointer;
  Destroy: procedure(const Linker: Pointer);
  ResetError: procedure(const Linker: Pointer);
  GetError: function(const Linker: Pointer): String;
  WasError: function(const Linker: Pointer): Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIlinker = packed record
  ParseString: function(const Linker: Pointer; const S: String): String;
  ParseStringToken: function(const Linker: Pointer; var S: String): String;
  ParseBoolean: function(const Linker: Pointer; const S: String): Boolean;
  ParseAreaStyle: procedure(const Linker: Pointer; const S: String; const AreaFormat:
                  PAreaFormat);
  ParseAreaFormat: procedure(const Linker: Pointer; const S: String; const AreaFormat:
                   PAreaFormat);
  ParseAreaPath: procedure(const Linker: Pointer; const S: String; const AreaFormat:
                 PAreaFormat);
  ParseSize: function(const Linker: Pointer; const S: String): Longint;
  ParseAreaFlags: function(const Linker: Pointer; const S: String): Longint;
  ParseNumber: function(const Linker: Pointer; const S: String): Longint;
  ParseWord: function(const Linker: Pointer; var Value: String): String;
  CreateAreaForward: procedure(const AreaName: String; const Area: PPointer; const
                     FName: String; const Line: Longint);
  CreateLinkForward: procedure(const Address: TAddress; const Link: PPointer; const
                     FName: String; const Line: Longint);
  CreateLinkAreaForward: procedure(const Address: TAddress; const AreaName: String;
                         const LinkArea: PPointer; const FName: String; const Line:
                         Longint);
  Error: procedure(const Linker: Pointer; const S: String);
  FName: function(const Linker: Pointer): String;
  Line: function(const Linker: Pointer): Longint;
  ExportLine: procedure(const Linker: Pointer; const S: String);
  UnparseString: function(const Linker: Pointer; const S: String): String;
  UnparseBoolean: function(const Linker: Pointer; const B: Boolean): String;
  UnparseAreaStyle: function(const Linker: Pointer; const AreaFormat: PAreaFormat):
                    String;
  UnparseAreaFormat: function(const Linker: Pointer; const AreaFormat: PAreaFormat):
                     String;
  UnparseAreaPath: function(const Linker: Pointer; const AreaFormat: PAreaFormat):
                   String;
  UnparseSize: function(const Linker: Pointer; const Size: Longint): String;
  UnparseAreaFlags: function(const Linker: Pointer; const Flags: Longint): String;
  UnparseNumber: function(const Linker: Pointer; const Number: Longint): String;
  RegisterAreaSectionCallback: procedure(const Plugin: Pointer);
  RegisterLinkSectionCallback: procedure(const Plugin: Pointer);
  ParseDateTime: procedure(const Linker: Pointer; const Value: String; var DT: TDateTime);
  UnparseDateTime: function(const Linker: Pointer; var DT: TDateTime): String;
  Stub: function: Pointer;
  StubSoft: function: Pointer;

  Fertilizers: array[32..64] of Pointer;

  v: TJTAPIlinkerv;
 end;

 TJTAPIlinkarea = packed record
  case Byte of
   1: (
  At: function(const Link: Pointer; const Index: Longint): Pointer;
  Count: function(const Link: Pointer): Longint;
  GetArea: function(const LinkArea: Pointer): Pointer;
  IsReadable: function(const LinkArea: Pointer): Boolean;
  IsWriteable: function(const LinkArea: Pointer): Boolean;
  IsPassive: function(const LinkArea: Pointer): Boolean;
  IsSubscribed: function(const LinkArea: Pointer): Boolean;
  SetReadable: procedure(const LinkArea: Pointer; const Enable: Boolean);
  SetWriteable: procedure(const LinkArea: Pointer; const Enable: Boolean);
  SetPassive: procedure(const LinkArea: Pointer; const Enable: Boolean);
  SetSubscribed: procedure(const LinkArea: Pointer; const Enable: Boolean);
  Reserved: procedure;
  GetOwner: function(const LinkArea: Pointer): Pointer;
  GetACS: function(const LinkArea: Pointer): String;
  RegisterIsReadableCallback: procedure(const Plugin: Pointer);
  RegisterIsWriteableCallback: procedure(const Plugin: Pointer);
  RegisterIsPassiveCallback: procedure(const Plugin: Pointer);
  RegisterIsSubscribedCallback: procedure(const Plugin: Pointer);
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIlink = packed record
  Seek: function(var Address: TAddress): Pointer;
  At: function(const Index: Longint): Pointer;
  Count: function: Longint;
  SetChanged: procedure(const Flags: Longint; const Reason: String);
  GetAddress: procedure(const Link: Pointer; var Address: TAddress);
  GetAka: procedure(const Link: Pointer; var Address: TAddress);
  GetInPassword: procedure(const Link: Pointer; var S: String);
  GetOutPassword: procedure(const Link: Pointer; var S: String);
  GetArchiver: function(const Link: Pointer): Pointer;
  SetInPassword: procedure(const Link: Pointer; const S: String);
  SetOutPassword: procedure(const Link: Pointer; const S: String);
  SetArchiver: procedure(const Link, Archiver: Pointer);
  SeekArea: function(const Link, Area: Pointer): Pointer;
  CreateLinkArea: function(const Link, Area: Pointer): Pointer;
  St: function(const Link: Pointer): Pointer;
  GetDomainInfo: procedure(const Link: Pointer; var Domain, DomainOutbound: String;
                 var MainZone: Longint);
  GetMaxBundleSize: function(const Link: Pointer): Longint;
  GetMaxPacketSize: function(const Link: Pointer): Longint;
  SetMaxBundleSize: procedure(const Link: Pointer; const Value: Longint);
  SetMaxPacketSize: procedure(const Link: Pointer; const Value: Longint);
  OML: function(const Link: Pointer): Pointer;
  DestroyLinkArea: procedure(const Link, LinkArea: Pointer);
  CloneLinkArea: function(const Link, LinkArea: Pointer): Pointer;
  IndexOf: function(const Link: Pointer): Longint;

  Fertilizers: array[25..64] of Pointer;

  area: TJTAPIlinkarea;
 end;

 TJTAPIareakilled = packed record
  case Byte of
   1: (
  At: function(const Index: Longint): Pointer;
  Count: function: Longint;
  Seek: function(const Name: String): Pointer;
  Create: function(const Name: String): Pointer;
  Destroy: procedure(const Area: Pointer);
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIarea = packed record
  Seek: function(const Name: String): Pointer;
  SeekNetmail: function: Pointer;
  SeekBadmail: function: Pointer;
  Create: function(const Name: String; const Format: PAreaFormat): Pointer;
  Destroy: procedure(const Area: Pointer);
  At: function(const Index: Longint): Pointer;
  Count: function: Longint;
  SetChanged: procedure(const Flags: Longint; const Reason: String);
  GetName: function(const Area: Pointer): PString;
  SetName: procedure(const Area: Pointer; const Name: String);
  GetDesc: function(const Area: Pointer): PString;
  SetDesc: procedure(const Area: Pointer; const Desc: String);
  GetFormat: procedure(const Area: Pointer; var Format: TAreaFormat);
  SetFormat: procedure(const Area: Pointer; var Format: TAreaFormat);
  GetUplink: procedure(const Area: Pointer; var Uplink: TAddress);
  SetUplink: procedure(const Area: Pointer; const Uplink: TAddress);
  St: function(const Area: Pointer): Pointer;
  GetAka: procedure(const Area: Pointer; var Aka: TAddress);
  Lock: function(const Area: Pointer; var mb: Pointer; var rc: String): Boolean;
  Unlock: procedure(const Area: Pointer; var mb: Pointer);
  Kill: function(const Area: Pointer; var rc: String): Boolean;
  Pack: function(const Area: Pointer; var BeforePack, AfterPack: Longint; const Callback:
        TPackAreaCallback; const Param: Pointer): Boolean;
  RegisterNotifyAreaCreated: procedure(const Plugin: Pointer);
  RegisterNotifyAreaChanged: procedure(const Plugin: Pointer);
  RegisterNotifyAreaDestroyed: procedure(const Plugin: Pointer);
  NotifyAreaCreated: procedure(const Area: Pointer);
  NotifyAreaChanged: procedure(const Area: Pointer);
  NotifyAreaDestroyed: procedure(const Area: Pointer);
  IndexOf: function(const Area: Pointer): Longint;
  KillBase: function(const Format: TAreaFormat; var rc: String): Boolean;
  IsBaseExists: function(const Format: TAreaFormat): Boolean;
  MinimizeHandles: procedure;
  Used: procedure(const Area: Pointer);
  Netmail: function(const Area: Pointer): Boolean;
  Passthrough: function(const Area: Pointer): Boolean;
  mbi: function(const Area: Pointer): Pointer;
  PackEx: procedure(const mbi: Pointer; const Path: String; var Block);

  Fertilizers: array[38..64] of Pointer;

  killed: TJTAPIareakilled;
 end;

 TJTAPIrests = packed record
  case Byte of
   1: (
  Add: function(Name: String; const Flags: Longint): Pointer;
  AddValueParser: function(Name: String; const Flags: Longint; const ValueParser:
                  TRestrictionValueParser): Pointer;
  Check: function(const Restriction: Pointer; const Link: PAddress; const Area: PString):
         Boolean;
  GetValue: procedure(const Restriction: Pointer; const Link: PAddress; const Area:
            PString; var Target: String);
  Callback: procedure(const Restriction: Pointer; const Link: PAddress; const Area:
            PString; const Callback: TRestrictionCallback; const Param: Pointer);
  Getst: procedure(const Restriction: Pointer; const Link: PAddress; const Area:
         PString; var st: Pointer);
  GetUsed: function(const Restriction: Pointer): Longint;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIarc = packed record
  case Byte of
   1: (
  Seek: function(const Name: String): Pointer;
  Identify: function(const FName: String): Pointer;
  Count: function: Longint;
  At: function(const Index: Longint): Pointer;
  GetName: function(const Archiver: Pointer): String;
  GetAdd: function(const Archiver: Pointer): String;
  GetExtract: function(const Archiver: Pointer): String;
  Quiet: function: Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIlistex = packed record
  case Byte of
   1: (
  Create: function(const AFlags: Longint): Pointer;
  Clone: function(const Source: Pointer): Pointer;
  Destroy: procedure(const ListEx: Pointer);
  At: function(const ListEx: Pointer; const Index: Longint): PString;
  Count: function(const ListEx: Pointer): Longint;
  Add: function(const ListEx: Pointer; const Mask: String): Boolean;
  AddRegExp: function(const ListEx: Pointer; const Mask: String; const RegExp: Pointer):
             Boolean;
  AddWildcard: function(const ListEx: Pointer; const Wildcard: String): Boolean;
  Optimize: procedure(const ListEx: Pointer);
  GetError: function(const ListEx: Pointer): String;
  Check: function(const ListEx: Pointer; const Value: String): Boolean;
  CheckPChar: function(const ListEx: Pointer; const Value: PChar): Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIlist = packed record
  ExportList: function: Pointer;
  ImportList: function: Pointer;
  Add: procedure(const List: Pointer; const S: String);
  Remove: procedure(const List: Pointer; const S: String);
  Count: function(const List: Pointer): Longint;
  At: function(const List: Pointer; const Index: Longint): String;
  Flush: procedure(const List: Pointer);

  Fertilizers: array[8..64] of Pointer;

  ex: TJTAPIlistex;
 end;

 TJTAPIplugs = packed record
  case Byte of
   1: (
  Seek: function(const Name: String): Pointer;
  Count: function: Longint;
  At: function(const Index: Longint): Pointer;
  GetInformation: procedure(const Plugin: Pointer; var Information: TPluginInformation);
  GetPluginFName: procedure(const Plugin: Pointer; var FName: String);
  GetPluginHandleCmdlineSwitch: procedure(const Plugin: Pointer; var EntryPoint:
                                TPluginHandleCmdlineSwitch);
  GetPluginHandleCommand: procedure(const Plugin: Pointer; var EntryPoint: TPluginHandleCommand);
  GetPluginHandleConfigSwitch: procedure(const Plugin: Pointer; var EntryPoint: TPluginHandleConfigSwitch);
  GetPluginShowHelp: procedure(const Plugin: Pointer; var EntryPoint: TPluginShowHelp);
  GetPluginHandleAreaSwitch: procedure(const Plugin: Pointer; var EntryPoint: TPluginHandleAreaSwitch);
  GetPluginHandleLinkSwitch: procedure(const Plugin: Pointer; var EntryPoint: TPluginHandleLinkSwitch);
  GetPluginExportAreaSwitches: procedure(const Plugin: Pointer; var EntryPoint: TPluginExportAreaSwitches);
  GetPluginExportLinkSwitches: procedure(const Plugin: Pointer; var EntryPoint: TPluginExportLinkSwitches);
  St: function(const Plugin: Pointer): Pointer;
  GetPluginName: function(const Plugin: Pointer): PString;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPImsgp = packed record
  case Byte of
   1: (
  Create: function(const Stream: Pointer; const Netmail: Boolean): Pointer;
  Destroy: procedure(const p: Pointer);
  GetStringPChar: procedure(const p: Pointer; const Line: PChar; const MaxLen: xInteger);
  GetStringPCharEx: function(const p: Pointer): PChar;
  GetString: procedure(const p: Pointer; var Line: String);
  PutStringPChar: procedure(const p: Pointer; const Line: PChar);
  PutString: procedure(const p: Pointer; const Line: String);
  GetTextPos: function(const p: Pointer): Longint;
  GetTextSize: function(const p: Pointer): Longint;
  SetTextPos: procedure(const p: Pointer; const NewPos: Longint);
  EndOfMessage: function(const p: Pointer): Boolean;
  TruncateText: procedure(const p: Pointer);
  GetFromAddress: procedure(const p: Pointer; var Address: TAddress);
  GetToAddress: procedure(const p: Pointer; var Address: TAddress);
  GetFromAndToAddress: procedure(const p: Pointer; var FromAddress, ToAddress: TAddress);
  SetFromAddress: procedure(const p: Pointer; var Address: TAddress; const FreshMSGID:
                  Boolean);
  SetToAddress: procedure(const p: Pointer; var Address: TAddress);
  SetFromAndToAddress: procedure(const p: Pointer; var FromAddress, ToAddress: TAddress;
                       const FreshMSGID: Boolean);
  CheckFromAddress: procedure(const p: Pointer; const S: String; var Address: TAddress);
  CheckToAddress: procedure(const p: Pointer; const S: String; var Address: TAddress);
  GetKludgePChar: function(const p: Pointer; const Name, Destination: PChar; const
                  MaxLen: Word): Boolean;
  GetKludge: function(const p: Pointer; const Name: String; var Destination: String):
             Boolean;
  SetKludgePChar: procedure(const p: Pointer; const Name, Value: PChar);
  SetKludge: procedure(const p: Pointer; const Name, Value: String);
  DeleteKludgePChar: procedure(const p: Pointer; const Name: PChar);
  DeleteKludge: procedure(const p: Pointer; const Name: String);
  AddKludgePChar: procedure(const p: Pointer; const Value: PChar);
  AddKludge: procedure(const p: Pointer; const Value: String);
  AfterLastKludge: function(const p: Pointer): Longint;
  ReadText: procedure(const p: Pointer; var Buffer; const Size: Longint);
  WriteText: procedure(const p: Pointer; var Buffer; const Size: Longint);
  PutTearline: procedure(const p: Pointer);
  PutOrigin: procedure(const p: Pointer; const Address: TAddress);
  GetPChar: function(const p: Pointer): PChar;
  CreateEx: function(const Stream: Pointer; const Netmail: Boolean; const StreamLinker:
            PStreamLinker; const DestroyStream: Boolean): Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPImsgtiseenby = packed record
  case Byte of
   1: (
  Create: function: Pointer;
  Clone: function(const seenby: Pointer): Pointer;
  Destroy: procedure(const seenby: Pointer);
  At: function(const seenby: Pointer; const Index: Longint): PTechInfo;
  Count: function(const seenby: Pointer): Longint;
  Search: function(const seenby: Pointer; const TechInfo: TTechInfo; var Index: xInteger):
          PTechInfo;
  Insert: procedure(const seenby: Pointer; const TechInfo: PTechInfo);
  Free: procedure(const seenby: Pointer; const Index: Longint);
  FreeAll: procedure(const seenby: Pointer);
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPImsgtipath = packed record
  case Byte of
   1: (
  Create: function: Pointer;
  Clone: function(const path: Pointer): Pointer;
  Destroy: procedure(const path: Pointer);
  At: function(const path: Pointer; const Index: Longint): PTechInfo;
  Count: function(const path: Pointer): Longint;
  Search: function(const path: Pointer; const TechInfo: TTechInfo; var Index: xInteger):
          PTechInfo;
  Insert: procedure(const path: Pointer; const Index: Longint; const TechInfo: PTechInfo);
  Delete: procedure(const path: Pointer; const Index: Longint);
  Free: procedure(const path: Pointer; const Index: Longint);
  FreeAll: procedure(const path: Pointer);
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPImsgti = packed record
  Create: function(const ATechInfo: TTechInfo): PTechInfo;
  CreateEx: function(const Net, Node: System.Integer): PTechInfo;
  Parse: function(S: String; var rc: String): PTechInfo;
  Destroy: procedure(const TechInfo: PTechInfo);
  PickupTechInfo: procedure(const msg: Pointer);
  DropTechInfo: procedure(const msg: Pointer);
  DoTechInfo: procedure(const Link, Area, msg: Pointer; const FromAddress: PAddress);

  Fertilizers: array[8..64] of Pointer;

  seenby: TJTAPImsgtiseenby;
  path: TJTAPImsgtipath;
 end;

 TJTAPImsg = packed record
  GetFromName: function(const msg: Pointer): PString;
  GetToName: function(const msg: Pointer): PString;
  GetSubject: function(const msg: Pointer): PString;
  GetArea: function(const msg: Pointer): PString;
  GetAttributes: function(const msg: Pointer): Longint;
  GetText: function(const msg: Pointer): Pointer;
  GetWritten: procedure(const msg: Pointer; var Written: TDateTime);
  GetArrived: procedure(const msg: Pointer; var Arrived: TDateTime);
  SetFromName: procedure(const msg: Pointer; const Value: String);
  SetToName: procedure(const msg: Pointer; const Value: String);
  SetSubject: procedure(const msg: Pointer; const Value: String);
  SetArea: procedure(const msg: Pointer; const Value: String);
  SetAttributes: procedure(const msg: Pointer; const Attributes: Longint);
  SetWritten: procedure(const msg: Pointer; const Written: TDateTime);
  SetArrived: procedure(const msg: Pointer; const Arrived: TDateTime);
  GetGlobal: function(const msg: Pointer): Longint;
  St: function(const msg: Pointer): Pointer;
  Create: function: Pointer;
  Clone: function(const Amsg: Pointer; const Flags: Longint): Pointer;
  Destroy: procedure(const msg: Pointer);
  CreateParser: function(const msg: Pointer; const Netmail: Boolean): Pointer;
  DestroyParser: procedure(const p: Pointer);
  Add: procedure(const msg: Pointer; const S: String);
  Size: function(const msg: Pointer): Longint;
  AddHeader: procedure(const msg: Pointer; const S: String);
  AddAfterKludges: procedure(const msg: Pointer; const S: String);
  SetGlobal: procedure(const msg: Pointer; const AGlobal: Longint);

  Fertilizers: array[28..64] of Pointer;

  p: TJTAPImsgp;
  ti: TJTAPImsgti;
 end;

 TJTAPIoml = packed record
  case Byte of
   1: (
  Create: function(const id: String; var rc: String): Pointer;
  Destroy: procedure(const oml: Pointer);
  OM: function(const oml: Pointer): Pointer;
  ID: function(const oml: Pointer): String;
  St: function(const oml: Pointer): Pointer;
  CreateSession: function(const oml: Pointer; const FromAddress, ToAddress: TAddress;
                 const Password: String): Pointer;
  Hash: function(const oml: Pointer): System.Integer;
  SeekByHash: function(const Hash: System.Integer): Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIoms = packed record
  case Byte of
   1: (
  Create: function(const oml: Pointer; const FromAddress, ToAddress: TAddress; const
          Password: String): Pointer;
  Destroy: procedure(const oms: Pointer);
  GetBusy: function(const oms: Pointer): Boolean;
  SetBusy: function(const oms: Pointer; const Busy: Boolean): Boolean;
  ExportMessage: function(const oms: Pointer; const msg: Pointer): Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIom = packed record
  Register: function(const Name: String; const Plugin: Pointer): Pointer;
  GetName: function(const om: Pointer): String;
  St: function(const om: Pointer): Pointer;
  Count: function: Longint;
  At: function(const Index: Longint): Pointer;
  GetPlugin: function(const om: Pointer): Pointer;

  Fertilizers: array[7..64] of Pointer;

  l: TJTAPIoml;
  s: TJTAPIoms;
 end;

 TJTAPIst = packed record
  case Byte of
   1: (
  Create: function: Pointer;
  Destroy: procedure(const st: Pointer);
  Add: procedure(const st: Pointer; const Name: String; const Data: Pointer; const
       Service: TStorageService);
  Remove: procedure(const st: Pointer; const Name: String);
  Get: function(const st: Pointer; const Name: String): Pointer;
  Clone: function(const st: Pointer): Pointer;
  AddCallback: procedure(const st: Pointer; const Name: String; const Plugin: Pointer);
  Inc: procedure(const st: Pointer; const Name: String; const IncDelta: Longint);
  globalst: function: Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIsvc = packed record
  case Byte of
   1: (
  StString: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StAddress: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StListEx: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StAreaFormat: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StPath: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StSeenby: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StCallbacks: function(const Action: TStorageAction; const Data: Pointer): Pointer;
  StOMS: function(const Action: TStorageAction; const Data: Pointer): Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIsrv = packed record
  case Byte of
   1: (
  RegisterHandler: procedure(const Plugin: Pointer);
  Execute: procedure(const Service: String; const Param: Longint);
  ExecuteEx: function(const Service: String; const Param: Longint; var AResult: Longint;
             var Error: Boolean; var RC: String): Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIcbc = packed record
  case Byte of
   1: (
  Count: function(const cbcs: Pointer): Longint;
  At: function(const cbcs: Pointer; const Index: Longint): Pointer;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIrf = packed record
  case Byte of
   1: (
  Create: function(const FName: String; const Flags: Longint): Pointer;
  Destroy: procedure(const rf: Pointer);
  Add: function(const rf: Pointer; const Name: String; const Stream: Pointer; const
       Linker: PStreamLinker): Boolean;
  Remove: function(const rf: Pointer; const Name: String): Boolean;
  Get: function(const rf: Pointer; const Name: String; const Stream: Pointer; const
       Linker: PStreamLinker): Boolean;
  GetSizes: procedure(const rf: Pointer; var JunkSize, DataSize, TotalSize: Longint);
  Pack: function(const rf: Pointer; const TempStream: Pointer; const Linker: PStreamLinker):
        Boolean;
  common: function: Pointer;
  Count: function(const rf: Pointer): Longint;
  At: function(const rf: Pointer; const Index: Longint; var Junk: Boolean; var Size:
      Longint): PString;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIre = packed record
  case Byte of
   1: (
  Create: function(const AMask: PChar): Pointer;
  CreateStr: function(const AMask: String): Pointer;
  Destroy: procedure(const ARegExp: Pointer);
  IsValid: function(const ARegExp: Pointer): Boolean;
  Match: function(const ARegExp: Pointer; const Addr: PChar; CaseSensitive: Boolean):
         Boolean;
  MatchStr: function(const ARegExp: Pointer; const Addr: String; CaseSensitive: Boolean):
            Boolean;
  GetErrorMsg: function(const ARegExp: Pointer): String;
  PreprocessWildcard: function(const Wildcard: String): String;
  GetTitle: function: String;
  GetVersion: function: String;
  GetCopyright: function: String;
  Title: function: String;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPImb = packed record
  case Byte of
   1: (
  Netmail: function(const mb: Pointer): Boolean;
  Add: function(const mb: Pointer; const msg: Pointer; var rc: String; const Flags:
       Longint): Boolean;
  Count: function(const mb: Pointer): Longint;
  Load: function(const mb: Pointer; const No: Longint; var msg: Pointer; var rc:
        String; const Flags: Longint): Boolean;
  Store: function(const mb: Pointer; const No: Longint; const msg: Pointer; var rc:
         String; const Flags: Longint): Boolean;
  Kill: function(const mb: Pointer; const No: Longint; var rc: String): Boolean;
  NoToGlobal: function(const mb: Pointer; const No: Longint): Longint;
  GlobalToNo: function(const mb: Pointer; const Global: Longint): Longint;
  Lock: function(const mb: Pointer): Boolean;
  Unlock: procedure(const mb: Pointer);
  LoadLinkInfo: procedure(const mb: Pointer; var Block);
  StoreLinkInfo: procedure(const mb: Pointer; var Block);
  ExtendedOpened: function(const mb: Pointer; const Operation: Longint; var Data):
                  Boolean;
  Extended: function(const mbi: Pointer; const Operation: Longint; var Data): Boolean;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIfmtr = packed record
  case Byte of
   1: (
  Register: procedure(const FormatReader: PFormatReader);
  Seek: function(const Name: String): PFormatReader;
  Ident: function(const FName: String): PFormatReader;
  Count: function: Longint;
  At: function(const Index: Longint): PFormatReader;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIfmtw = packed record
  case Byte of
   1: (
  Register: procedure(const FormatWriter: PFormatWriter);
  Seek: function(const Name: String): PFormatWriter;
  Count: function: Longint;
  At: function(const Index: Longint): PFormatWriter;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIfmtpp = packed record
  case Byte of
   1: (
  Register: procedure(const FormatPreprocessor: PFormatPreprocessor);
  Seek: function(const Name: String): PFormatPreprocessor;
  Count: function: Longint;
  At: function(const Index: Longint): PFormatPreprocessor;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIfmtop = packed record
  case Byte of
   1: (
  Register: procedure(const FormatOutprocessor: PFormatOutprocessor);
  Seek: function(const Name: String): PFormatOutprocessor;
  Count: function: Longint;
  At: function(const Index: Longint): PFormatOutprocessor;
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPIfmt = packed record
  DefaultFormatWriter: function: PFormatWriter;
  DefaultFormatOutprocessor: function: PFormatOutprocessor;

  Fertilizers: array[3..64] of Pointer;

  r: TJTAPIfmtr;
  w: TJTAPIfmtw;
  pp: TJTAPIfmtpp;
  op: TJTAPIfmtop;
 end;

 TJTAPItossscan = packed record
  case Byte of
   1: (
  SetTossMessage: procedure(const ATossMessage: TTossMessage);
  TossMessage: procedure(msg: Pointer);
  SetTossMessageToLinks: procedure(const ATossMessageToLinks: TTossMessageToLinks);
  TossMessageToLinks: procedure(const Amsg, Area, ALink: Pointer);
  SetTossToBadmail: procedure(const ATossToBadmail: TTossToBadmail);
  TossToBadmail: procedure(const Amsg: Pointer; const Reason: String);
   );
   2: (Fertilizers: array[1..64] of Pointer);
 end;

 TJTAPI = packed record
  PrintStr: procedure(const S: String);
  ComparePasswords: function(const Password1, Password2: String; const Link: Pointer):
                    Boolean;
  GetNetmailAka: procedure(var Source, Address: TAddress);
  GetDomainInfo: function(const Address: TAddress; var Domain, DomainOutbound: String;
                 var MainZone: Longint): Boolean;
  NewAreaFormat: function: PAreaFormat;
  DestroyAreaFormat: procedure(const Format: PAreaFormat);
  NewAddress: function(const AAddress: TAddress): PAddress;
  DestroyAddress: procedure(const Address: PAddress);
  ParseAddressMask: function(Source: String; var Address: TAddress): Boolean;
  UnparseAddressMask: function(const Address: TAddress): String;
  CompileAddressMask: procedure(const AMask: String; var Mask: TAddress; const Linker:
                      Pointer);
  CompareAddressMask: function(const Mask, Address: TAddress): Boolean;
  CompileRegExp: procedure(const AMask: String; var RegExp: Pointer; const Linker:
                 Pointer; const Macros: Boolean);
  DestroyRegExp: procedure(const RegExp: Pointer);
  AddressMatchRegExp: function(const RegExp: Pointer; const Address: PAddress): Boolean;
  AreaMatchRegExp: function(const RegExp: Pointer; const Area: PString): Boolean;
  Percent: function(const Current, Maximum: Longint): String;
  CreateUniqueFileName: procedure(var FName: String; const Directory: String; const
                        Extension: String);
  Cancelled: function: Boolean;
  Error: function: Boolean;
  SetError: procedure(const S: String);
  GetError: function: String;
  LockCommandLine: procedure(const Plugin: Pointer);
  Execute: procedure(const CmdLine: String; var rc: Longint; const Hide: Boolean);
  MoveFile: procedure(const ASource, ADestination: String; var rc: Longint);
  CreateDirectory: function(const ADirectory: String): Boolean;
  PushTitle: procedure;
  SetTitle: procedure(const S: String);
  PopTitle: procedure;
  MakeShortName: function(const LongName: String): String;
  LogWrite: procedure(const Symbol: Char; const Message: String);
  SetStatus: procedure(const Status: String);
  ClearStatus: procedure;
  EnqueueCommand: procedure(const Plugin: Pointer; const Command, Param: Longint;
                  const When: TCommandWhen);
  EnqueueCommandEx: procedure(const Plugin: String; const Command, Param: Longint;
                    const When: TCommandWhen);
  Report: procedure(const S: String; const Log: Boolean);
  ReportAreaAction: procedure(const Name: String; const Stream: Pointer; const StreamLinker:
                    PStreamLinker; const Plugin: Pointer);
  DoAreaActions: procedure(const APlugin: Pointer);
  GetCommaToken: function(var S: String): String;
  NewStr: function(const S: String): PString;
  DisposeStr: procedure(const S: PString);
  StreamLinker: function: PStreamLinker;
  MinimizeHandles: procedure;
  FormatTime: function(const Time: Longint): String;
  StrNew: function(const Str: PChar): PChar;
  StrAlloc: function(const S: String): PChar;
  StrDispose: procedure(const Str: PChar);
  COA: function: Longint;
  POA: function: Longint;
  NewAddressEx: function(const AZone, ANet, ANode, APoint: System.Integer): PAddress;
  RegisterMessageBaseInterface: procedure(const mbi: Pointer);
  JokeSwitch: function(const Normal, Joke: String): String;
  ReplaceMacros: procedure(var S: String);

  Fertilizers: array[54..64] of Pointer;

  core: TJTAPIcore;
  linker: TJTAPIlinker;
  link: TJTAPIlink;
  area: TJTAPIarea;
  rests: TJTAPIrests;
  arc: TJTAPIarc;
  list: TJTAPIlist;
  plugs: TJTAPIplugs;
  msg: TJTAPImsg;
  om: TJTAPIom;
  st: TJTAPIst;
  svc: TJTAPIsvc;
  srv: TJTAPIsrv;
  cbc: TJTAPIcbc;
  rf: TJTAPIrf;
  re: TJTAPIre;
  mb: TJTAPImb;
  fmt: TJTAPIfmt;
  tossscan: TJTAPItossscan;
 end;

var
 jt: TJTAPI;

implementation

end.
