unit TossACR;

interface
uses
     PlugAPI,
     PlugSIDE,

     TossCmn,
     TossAPI;

function AutoCreate(const msg, Link: Pointer; var Area: Pointer): Boolean;

implementation

{ AutoCreate }

function AutoCreate(const msg, Link: Pointer; var Area: Pointer): Boolean;
 var
  Block: TTosserAutoCreateBlock;
 begin
  Block.Done:=False;
  Block.Area:=nil;
  Block.Link:=Link;
  Block.msg:=msg;

  if Callbacks[taAutoCreateFirst]^.ChainedPointer(tcAutoCreateFirst, @Block, True) = nil then
  if Callbacks[taAutoCreate]^.ChainedPointer(tcAutoCreate, @Block, True) = nil then
     Callbacks[taAutoCreateLast]^.ChainedPointer(tcAutoCreateLast, @Block, True);

  Block.Done:=Block.Done and (Block.Area <> nil);

  if Block.Done then
   begin
    Callbacks[taAreaCreatedFirst]^.Simple(tcAreaCreatedFirst, Longint(@Block));

    if Block.Area <> nil then
     begin
      Callbacks[taAreaCreated]^.Simple(tcAreaCreated, Longint(@Block));

      if Block.Area <> nil then
       begin
        Callbacks[taAreaCreatedLast]^.Simple(tcAreaCreatedLast, Longint(@Block));

        jt.area.NotifyAreaCreated(Block.Area);
       end;
     end;
   end;

  Block.Done:=Block.Done and (Block.Area <> nil);

  if Block.Done then
   Area:=Block.Area;

  AutoCreate:=Block.Done;
 end;

end.